/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The StrategyResponse model module.
 * @module model/StrategyResponse
 * @version 2021.12-dev21
 */
class StrategyResponse {
    /**
     * Constructs a new <code>StrategyResponse</code>.
     * @alias module:model/StrategyResponse
     * @param strategy {String} 
     * @param code {String} 
     */
    constructor(strategy, code) { 
        
        StrategyResponse.initialize(this, strategy, code);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, strategy, code) { 
        obj['strategy'] = strategy;
        obj['code'] = code;
    }

    /**
     * Constructs a <code>StrategyResponse</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/StrategyResponse} obj Optional instance to populate.
     * @return {module:model/StrategyResponse} The populated <code>StrategyResponse</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new StrategyResponse();

            if (data.hasOwnProperty('strategy')) {
                obj['strategy'] = ApiClient.convertToType(data['strategy'], 'String');
            }
            if (data.hasOwnProperty('code')) {
                obj['code'] = ApiClient.convertToType(data['code'], 'String');
            }
        }
        return obj;
    }


}

/**
 * @member {String} strategy
 */
StrategyResponse.prototype['strategy'] = undefined;

/**
 * @member {String} code
 */
StrategyResponse.prototype['code'] = undefined;






export default StrategyResponse;

